## zowe › zos-workflows › start › workflow-full

Will run workflow from the beginning to the end or to the first manual step.

#### Usage

zowe zos-workflows start workflow-full [options]

#### Options

- `--workflow-key` | `--wk` (string)

  - Workflow key of workflow instance to be started

- `--workflow-name` | `--wn` (string)

  - Workflow name of workflow instance to be started

- `--resolve-conflict-by` | `--rcb` (string)

  - How variable conflicts should be handled.
    Options:
    outputFileValue: Allow the output file values to override the existing values.
    existingValue: Use the existing variables values instead of the output file values.
    leaveConflict: Automation is stopped. The user must resolve the conflict manually.

    Default value: outputFileValue
    Allowed values: outputFileValue, existingValue, leaveConflict

- `--wait` | `-w` (boolean)

  - Identifies whether to wait for workflow instance to finish.

#### Zosmf Connection Options

- `--host` | `-H` (string)

  - The z/OSMF server host name.

- `--port` | `-P` (number)

  - The z/OSMF server port.

    Default value: 443

- `--user` | `-u` (string)

  - Mainframe (z/OSMF) user name, which can be the same as your TSO login.

- `--password` | `--pass` | `--pw` (string)

  - Mainframe (z/OSMF) password, which can be the same as your TSO password.

- `--reject-unauthorized` | `--ru` (boolean)

  - Reject self-signed certificates.

    Default value: true

- `--base-path` | `--bp` (string)

  - The base path for your API mediation layer instance. Specify this option to prepend the base path to all z/OSMF resources when making REST requests. Do not specify this option if you are not using an API mediation layer.

- `--protocol` (string)

  - The protocol used (HTTP or HTTPS)

    Default value: https
    Allowed values: http, https

- `--cert-file` (local file path)

  - The file path to a certificate file to use for authentication

- `--cert-key-file` (local file path)

  - The file path to a certificate key file to use for authentication

#### Profile Options

- `--zosmf-profile` | `--zosmf-p` (string)

  - The name of a (zosmf) profile to load for this command execution.

- `--base-profile` | `--base-p` (string)

  - The name of a (base) profile to load for this command execution.

#### Base Connection Options

- `--token-type` | `--tt` (string)

  - The type of token to get and use for the API. Omit this option to use the default token type, which is provided by 'zowe auth login'.

- `--token-value` | `--tv` (string)

  - The value of the token to pass to the API.

#### Examples

- To start a workflow instance in z/OSMF with workflow key "d043b5f1-adab-48e7-b7c3-d41cd95fa4b0":

  - `zowe zos-workflows start workflow-full --workflow-key "d043b5f1-adab-48e7-b7c3-d41cd95fa4b0"`

- To start a workflow instance in z/OSMF with workflow key "d043b5f1-adab-48e7-b7c3-d41cd95fa4b0" and wait forit to be finished:

  - `zowe zos-workflows start workflow-full --workflow-key "d043b5f1-adab-48e7-b7c3-d41cd95fa4b0" --wait`

- To start a workflow instance in z/OSMF with workflow key "d043b5f1-adab-48e7-b7c3-d41cd95fa4b0"and if there is a conflict in variable's value use the value that is in output file:

  - `zowe zos-workflows start workflow-full --workflow-key "d043b5f1-adab-48e7-b7c3-d41cd95fa4b0" --resolve-conflict-by "outputFileValue"`

- To start a workflow instance in z/OSMF with workflow name "testWorkflow":

  - `zowe zos-workflows start workflow-full --workflow-name "testWorkflow"`